%{?nodejs_find_provides_and_requires}

Name:           nodejs-y18n
Version:        4.0.0
Release:        %mkrel 5
Summary:        he bare-bones internationalization library used by yargs
License:        MIT
Group:          Development/Other
Url:            https://github.com/bcoe/y18n
Source0:        https://registry.npmjs.org/y18n/-/y18n-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
Obsoletes:      y18n
BuildArch:      noarch


%description
he bare-bones internationalization library used by yargs

%prep
%setup -q -n package

%nodejs_fixdep yargs ">=11.0.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/y18n
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/y18n

%{nodejs_symlink_deps}

%files
%doc README.md
%{nodejs_sitelib}/y18n


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 4.0.0-5.mga9
+ Revision: 1825526
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.0.0-4.mga9
+ Revision: 1503296
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.0.0-3.mga7
+ Revision: 1281305
- Mageia 7 Mass Rebuild

* Wed May 23 2018 kekepower <kekepower> 4.0.0-2.mga7
+ Revision: 1231875
- Fix deps

* Fri Apr 13 2018 kekepower <kekepower> 4.0.0-1.mga7
+ Revision: 1218131
- Update to version 4.0.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 spuhler <spuhler> 3.2.0-1.mga6
+ Revision: 896770
- first build
- local srpm build based on Opensuse

